Bug 1315800 - OSDs statuses
OSDs statuses
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: Nishanth Thomas
Lubos Trilety
Depends On:
  Show dependency treegraph
Reported: 2016-03-08 10:43 EST by Lubos Trilety
Modified: 2018-02-15 10:05 EST (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2016-03-08 10:43:39 EST
Description of problem:
OSDs status is not updated properly. E.g. I removed disk from a host, however UI does not find it out.

in mongo db
> db.storage_logical_units.find().forEach(printjson)
	"_id" : ObjectId("56dee42e1147a0b5b90ad8d4"),
	"sluid" : BinData(0,"kTdJpxkaSwmxFfcGd4f9Cw=="),
	"name" : "osd.2",
	"type" : 1,
	"clusterid" : BinData(0,"/vAMdjn9SEKN+ZFooPbreQ=="),
	"nodeid" : BinData(0,"HUoZQVVqRYu97EXSLpYjYw=="),
	"storageid" : BinData(0,"AAAAAAAAAAAAAAAAAAAAAA=="),
	"storagedeviceid" : BinData(0,"OpwOyydGS+ykTZ8BF9Yafg=="),
	"storagedevicesize" : NumberLong("10737418240"),
	"status" : 0,
	"options" : {
		"in" : "true",
		"up" : "true",
		"node" : "ltrilety-usm2-node2.os1.phx2.redhat.com",
		"publicip4" : "",
		"clusterip4" : "",
		"device" : "/dev/vdc",
		"fstype" : "xfs"
	"storageprofile" : "general",
	"state" : "In",
	"almstatus" : 5,
	"almcount" : 0

on ceph side
# ceph osd stat --cluster testCluster
     osdmap e46: 6 osds: 5 up, 5 in; 6 remapped pgs

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Remove some disk from a host which is part of some cluster

Actual results:
There's no change on skyring server side. OSD state was not changed.

Expected results:
OSD state should change to down/error in DB and on UI.

Additional info:
Comment 3 Darshan 2016-05-05 06:01:03 EDT
This has been fixed as follows:

We listen to events emitted by calamari, calamari emits events when there is a change is osd state. Based on the event we update the status of osd in skyring DB, which in turn will be reflected in UI
Comment 4 Lubos Trilety 2016-08-02 11:36:12 EDT
Tested on:

OSD state is changed properly, however it's not changed correctly on any dashboard. A new BZ 1359129 is created for that.

Note You need to log in before you can comment on or make changes to this bug.